from random import choice

from .cprint import SGR, colorize_strings


BANNERS = [
r"""
 ________  ________      ___    ___ ________  _________  ________  ________  ________  ___       ________  ___  _________   
|\   ____\|\   __  \    |\  \  /  /|\   __  \|\___   ___\\   __  \|\   ____\|\   __  \|\  \     |\   __  \|\  \|\___   ___\ 
\ \  \___|\ \  \|\  \   \ \  \/  / | \  \|\  \|___ \  \_\ \  \|\  \ \  \___|\ \  \|\  \ \  \    \ \  \|\  \ \  \|___ \  \_| 
 \ \  \    \ \   _  _\   \ \    / / \ \   ____\   \ \  \ \ \  \\\  \ \_____  \ \   ____\ \  \    \ \  \\\  \ \  \   \ \  \  
  \ \  \____\ \  \\  \|   \/  /  /   \ \  \___|    \ \  \ \ \  \\\  \|____|\  \ \  \___|\ \  \____\ \  \\\  \ \  \   \ \  \ 
   \ \_______\ \__\\ _\ __/  / /      \ \__\        \ \__\ \ \_______\____\_\  \ \__\    \ \_______\ \_______\ \__\   \ \__\
    \|_______|\|__|\|__|\___/ /        \|__|         \|__|  \|_______|\_________\|__|     \|_______|\|_______|\|__|    \|__|
                       \|___|/                                       \|_________|                                           

""",
r"""
  /$$$$$$  /$$$$$$$  /$$     /$$ /$$$$$$$  /$$$$$$$$ /$$$$$$   /$$$$$$  /$$$$$$$  /$$        /$$$$$$  /$$$$$$ /$$$$$$$$
 /$$__  $$| $$__  $$|  $$   /$$/| $$__  $$|__  $$__//$$__  $$ /$$__  $$| $$__  $$| $$       /$$__  $$|_  $$_/|__  $$__/
| $$  \__/| $$  \ $$ \  $$ /$$/ | $$  \ $$   | $$  | $$  \ $$| $$  \__/| $$  \ $$| $$      | $$  \ $$  | $$     | $$   
| $$      | $$$$$$$/  \  $$$$/  | $$$$$$$/   | $$  | $$  | $$|  $$$$$$ | $$$$$$$/| $$      | $$  | $$  | $$     | $$   
| $$      | $$__  $$   \  $$/   | $$____/    | $$  | $$  | $$ \____  $$| $$____/ | $$      | $$  | $$  | $$     | $$   
| $$    $$| $$  \ $$    | $$    | $$         | $$  | $$  | $$ /$$  \ $$| $$      | $$      | $$  | $$  | $$     | $$   
|  $$$$$$/| $$  | $$    | $$    | $$         | $$  |  $$$$$$/|  $$$$$$/| $$      | $$$$$$$$|  $$$$$$/ /$$$$$$   | $$   
 \______/ |__/  |__/    |__/    |__/         |__/   \______/  \______/ |__/      |________/ \______/ |______/   |__/   

""",
r"""
   _,.----.                              _ __   ,--.--------.   _,.---._      ,-,--.     _ __               _,.---._     .=-.-.,--.--------.  
 .' .' -   \  .-.,.---.  ,--.-.  .-,--.-`.' ,`./==/,  -   , -\,-.' , -  `.  ,-.'-  _\ .-`.' ,`.   _.-.    ,-.' , -  `.  /==/_ /==/,  -   , -\ 
/==/  ,  ,-' /==/  `   \/==/- / /=/_ /==/, -   \==\.-.  - ,-./==/_,  ,  - \/==/_ ,_.'/==/, -   \.-,.'|   /==/_,  ,  - \|==|, |\==\.-.  - ,-./ 
|==|-   |  .|==|-, .=., \==\, \/=/. /==| _ .=. |`--`\==\- \ |==|   .=.     \==\  \  |==| _ .=. |==|, |  |==|   .=.     |==|  | `--`\==\- \    
|==|_   `-' \==|   '='  /\==\  \/ -/|==| , '=',|     \==\_ \|==|_ : ;=:  - |\==\ -\ |==| , '=',|==|- |  |==|_ : ;=:  - |==|- |      \==\_ \   
|==|   _  , |==|- ,   .'  |==|  ,_/ |==|-  '..'      |==|- ||==| , '='     |_\==\ ,\|==|-  '..'|==|, |  |==| , '='     |==| ,|      |==|- |   
\==\.       /==|_  . ,'.  \==\-, /  |==|,  |         |==|, | \==\ -    ,_ //==/\/ _ |==|,  |   |==|- `-._\==\ -    ,_ /|==|- |      |==|, |   
 `-.`.___.-'/==/  /\ ,  ) /==/._/   /==/ - |         /==/ -/  '.='. -   .' \==\ - , /==/ - |   /==/ - , ,/'.='. -   .' /==/. /      /==/ -/   
            `--`-`--`--'  `--`-`    `--`---'         `--`--`    `--`--''    `--`---'`--`---'   `--`-----'   `--`--''   `--`-`       `--`--`   

""",
r"""
 _____ ________   _______ _____ _____ ___________ _     _____ _____ _____ 
/  __ \| ___ \ \ / / ___ \_   _|  _  /  ___| ___ \ |   |  _  |_   _|_   _|
| /  \/| |_/ /\ V /| |_/ / | | | | | \ `--.| |_/ / |   | | | | | |   | |  
| |    |    /  \ / |  __/  | | | | | |`--. \  __/| |   | | | | | |   | |  
| \__/\| |\ \  | | | |     | | \ \_/ /\__/ / |   | |___\ \_/ /_| |_  | |  
 \____/\_| \_| \_/ \_|     \_/  \___/\____/\_|   \_____/\___/ \___/  \_/  

""",
r"""
  ..|'''.| '||''|.   '||' '|' '||''|.  |''||''|  ..|''||    .|'''.|  '||''|.  '||'       ..|''||   '||' |''||''| 
.|'     '   ||   ||    || |    ||   ||    ||    .|'    ||   ||..  '   ||   ||  ||       .|'    ||   ||     ||    
||          ||''|'      ||     ||...|'    ||    ||      ||   ''|||.   ||...|'  ||       ||      ||  ||     ||    
'|.      .  ||   |.     ||     ||         ||    '|.     || .     '||  ||       ||       '|.     ||  ||     ||    
 ''|....'  .||.  '|'   .||.   .||.       .||.    ''|...|'  |'....|'  .||.     .||.....|  ''|...|'  .||.   .||. 

""",
r"""
#   # ####   #### ##### #####  ###   #### ##### #####  ###  #   # ##### 
#   # #   # #   # #   #   #   #   # #     #   #  #  # #   # #  ##   #   
 #### ####   #### #   #   #   #   # #     #   #  #  # #   # # # #   #   
    # #      #  # #   #   #   #   # #     #   #  #  # #   # ##  #   #   
    # #     #   # #   #   #    ###   #### #   # #   #  ###  #   #   #   

"""
]


def print_banner():
    print(colorize_strings(choice(BANNERS), fg=SGR.COLOR.FOREGROUND.GREEN))
